#!/usr/bin/env node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
}
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const util_1 = require("util");
const rimraf_1 = __importDefault(require("rimraf"));
const webpack_1 = __importDefault(require("webpack"));
const prod_1 = __importDefault(require("../webpack/prod"));
const check_1 = require("./check");
function run() {
    return __awaiter(this, void 0, void 0, function* () {
        yield util_1.promisify(rimraf_1.default)(path_1.default.resolve(process.cwd(), 'build'));
        if (!check_1.lint()) {
            process.exit(1);
        }
        webpack_1.default(prod_1.default, (err, stats) => {
            // tslint:disable-next-line:strict-boolean-expressions
            if (stats) {
                console.log(stats.toString({
                    colors: true,
                }));
            }
            // tslint:disable-next-line:strict-boolean-expressions
            if ((stats && stats.hasErrors()) || err) {
                process.exit(1);
            }
            else {
                process.exit();
            }
        });
    });
}
if (require.main === module) {
    run().catch((err) => {
        console.log('Unexpected error running webpack.', err);
        process.exit(1);
    });
}
//# sourceMappingURL=build.js.map