#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
}
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const koa_proxies_1 = __importDefault(require("koa-proxies"));
const webpack_serve_1 = __importDefault(require("webpack-serve"));
const dev_1 = __importDefault(require("../webpack/dev"));
// tslint:disable-next-line:no-var-requires
const historyFallback = require('koa2-history-api-fallback');
// tslint:disable-next-line:no-var-requires
const pkg = require(path_1.default.resolve(process.cwd(), 'package.json'));
let add;
if (pkg.curiostack &&
    pkg.curiostack.devServer &&
    pkg.curiostack.devServer.proxy) {
    const proxyConfig = pkg.curiostack.devServer.proxy;
    add = (app, middleware) => {
        for (const urlPath of Object.keys(proxyConfig)) {
            const target = proxyConfig[urlPath];
            app.use(koa_proxies_1.default(urlPath, {
                target,
                changeOrigin: true,
                secure: false,
            }));
        }
        app.use(historyFallback());
        middleware.webpack();
        middleware.content();
    };
}
process.on('SIGINT', () => {
    console.log('sigint');
    process.exit();
});
webpack_serve_1.default({
    config: dev_1.default,
    add,
    port: 3000,
}).catch((err) => {
    console.log('Error starting dev server.', err);
    process.exit(1);
});
//# sourceMappingURL=start.js.map